## GstGLSyncMeta GstGLSyncMeta |

## Functions

GstGLSyncMeta * | gst_buffer_add_gl_sync_meta ()
#define | gst_buffer_get_gl_sync_meta()
GType | gst_gl_sync_meta_api_get_type ()
const GstMetaInfo * | gst_gl_sync_meta_get_info ()
void | gst_gl_sync_meta_set_sync_point ()
void | gst_gl_sync_meta_wait ()

## Types and Values

struct | GstGLSyncMeta
#define | GST_BUFFER_POOL_OPTION_GL_SYNC_META

## Description

## Functions

### gst_buffer_add_gl_sync_meta ()

    GstGLSyncMeta *
    gst_buffer_add_gl_sync_meta (GstGLContext *context,
                                 GstBuffer *buffer);

### gst_buffer_get_gl_sync_meta()

    #define gst_buffer_get_gl_sync_meta(b) ((GstGLSyncMeta*)gst_buffer_get_meta((b),GST_GL_SYNC_META_API_TYPE))

### gst_gl_sync_meta_api_get_type ()

    GType
    gst_gl_sync_meta_api_get_type (void);

### gst_gl_sync_meta_get_info ()

    const GstMetaInfo *
    gst_gl_sync_meta_get_info (void);

### gst_gl_sync_meta_set_sync_point ()

    void
    gst_gl_sync_meta_set_sync_point (GstGLSyncMeta *sync,
                                     GstGLContext *context);

### gst_gl_sync_meta_wait ()

    void
    gst_gl_sync_meta_wait (GstGLSyncMeta *sync,
                           GstGLContext *context);

## Types and Values

### struct GstGLSyncMeta

    struct GstGLSyncMeta {
    };

### GST_BUFFER_POOL_OPTION_GL_SYNC_META

    #define GST_BUFFER_POOL_OPTION_GL_SYNC_META "GstBufferPoolOptionGLSyncMeta"